Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061143 - Maven repo: some artifacts in distribution zips are not present in repo
Summary: Maven repo: some artifacts in distribution zips are not present in repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Maven Repository
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER1
: 6.0.1
Assignee: Petr Kočandrle
QA Contact: Petr Široký
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 12:47 UTC by Petr Široký
Modified: 2014-08-06 19:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Široký 2014-02-04 12:47:24 UTC
Description of problem:
The project Wolf requirements (https://mojo.redhat.com/docs/DOC-187749) demand that the Maven repo contains all binary artifacts that are in the distribution zips. However some of the artifacts in the distribution are not present in the repo.

See https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/brms-maven-repo-wolf-validator/lastCompletedBuild/testReport/(root)/DistributionRedundantFileException/
for up-to-date list of missing artifacts in the repo.


Version-Release number of selected component (if applicable):
6.0.0-CR2

Comment 2 Petr Kočandrle 2014-02-11 17:32:15 UTC
Most of the missing artifacts is available from maven central, so they shouldn't be included in the repository zip. I'm investigating the rest of them.

Comment 3 Petr Kočandrle 2014-02-13 23:44:18 UTC
Out of the  missing jars were 104 found in Maven Central, 21 were found in EAP 6.0.0 - 6.1.1 repos, Those 125 artifacts were excluded on purpose because of BPMS/BRMS is layering on top of EAP 6.1.1.

One of the jars could not be identified as there was no version in the filename (org.jboss.solder-solder-impl-jar-webfragment.jar), but that one is probably an exception similar to jboss-all-client.jar.

Another 6 artifacts can be found in http://maven.repository.redhat.com/techpreview/all/ repository. It is not considered as the base for the validated repository, but at least those artifacts can be found publicly online, so I guess it is not a big deal that they are missing.

Only 3 artifacts were not found in any public repo. It is definitely a bug which should be fixed, but tune-up the validator or its settings to give us some better results would be appreciated.

I've added those missing artifacts into 6.0.1 ER1 repository which is available now for testing.

Comment 4 Petr Kočandrle 2014-02-13 23:50:34 UTC
Sorry, missed the total number - it was 135.

Comment 5 Petr Široký 2014-02-14 01:06:13 UTC
Thanks for the insight and sorry for the inconvenience. I will setup some kind of blacklist to suppress as much false positives as possible.

Comment 6 Petr Široký 2014-03-01 08:28:35 UTC
I did a little more digging and found following:

 - two artifacts are _not_ in the b[rp]ms repo, eap-6.1.1 repo, JBoss public repo or Maven Central:
     - aopalliance-1.0.jar and netty-3.2.6.Final-redhat-2

Both are publicly accessible, however I am not sure if that is enough. My understanding is, that the user needs the b[rp]ms repo, eap-6.1.1 repo, access to Central and JBoss public repo and that should be enough, no other repositories configured. Could you clarify if this the case?

Comment 7 Petr Široký 2014-03-30 15:11:25 UTC
The aopalliance-1.0.jar can actually be found in the Central, not sure how I missed that earlier. The netty-3.2.6.Final-redhat-2 is till missing but that one tracked also in BZ 1061151. I am closing this one so wen't have to track the same failure multiple times.


Note You need to log in before you can comment on or make changes to this bug.